## octave-optiminterp 0.3.1

=== DESCRIPTION ===
Name: optiminterp
Version: 0.3.1
Date: 2008-06-19
Author: Alexander Barth <abarth@marine.usf.edu>, Aida Alvera-Azcrate <aalvera@marine.usf.edu>
Maintainer: Alexander Barth <abarth@marine.usf.edu>
Title: optiminterp
Description: An optimal interpolation toolbox for octave. This package provides functions to perform a n-dimensional optimal interpolations of arbitrarily distributed data points.
Depends: octave (>= 2.9.9)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

## octave-optiminterp 0.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: optiminterp
-Version: 0.3.1
-Date: 2008-06-19
+Version: 0.3.2
+Date: 2009-05-03
 Author: Alexander Barth <abarth@marine.usf.edu>, Aida Alvera-Azcrate <aalvera@marine.usf.edu>
 Maintainer: Alexander Barth <abarth@marine.usf.edu>
 Title: optiminterp

## octave-optiminterp 0.3.3

=== DESCRIPTION ===
Name: optiminterp
Version: 0.3.3
Date: 2011-03-25
Author: Alexander Barth <barth.alexander@gmail.com>, Aida Alvera-Azcrate <aalvera@marine.usf.edu>
Maintainer: Alexander Barth <barth.alexander@gmail.com>
Title: optiminterp
Description: An optimal interpolation toolbox for octave. This package provides functions to perform a n-dimensional optimal interpolations of arbitrarily distributed data points.
Depends: octave (>= 2.9.9)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===

sinclude Makeconf

SOURCES=optiminterp.cc optimal_interpolation.F90 optiminterp_wrapper.F90

OBJECTS=optiminterp.o optimal_interpolation.o optiminterp_wrapper.o

TARGETS=optiminterp.oct

# Rule for compiling Fortran 90 programs

%.o: %.F90
	FFLAGS="$(FFLAGS)" $(MKOCTFILE) -c $<

ifeq ($(MKOCTFILE_FORTRAN_90),yes)
all: $(TARGETS)
else
all:
	@echo "*** mkoctfile lacks Fortran 90 support"; false
endif


optiminterp.oct: $(OBJECTS)
	$(MKOCTFILE) -o $@ $(OBJECTS) $(LIBS)

check:
	octave --silent --norc --eval test_optiminterp

clean:
	rm -f *.o *.oct *~ *.mod

=== debian/changelog ===
octave-optiminterp (0.3.3-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571904)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump standards version to 3.9.1, no changes needed

 -- Thomas Weber <tweber@debian.org>  Sat, 23 Apr 2011 15:01:43 +0200

octave-optiminterp (0.3.2-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 13 Dec 2009 21:04:37 +0100

octave-optiminterp (0.3.2-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: Use DEP5 URL in Format-Specification

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 18:36:57 +0200

octave-optiminterp (0.3.1-2) unstable; urgency=low

  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/copyright: Add header
  * debian/control:
    + Bump build-dependency on octave-pkg-dev to >= 0.6.4, such that the
      package is built with the versioned packages directory
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 12 Apr 2009 17:50:52 +0200

octave-optiminterp (0.3.1-1) unstable; urgency=low

  * New upstream version
  * debian/copyright: Update upstream tarball URL
  * debian/control: Bump Standards-Version to 3.8.0

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 19 Jun 2008 17:47:14 +0200

octave-optiminterp (0.2.7-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 14 May 2008 15:24:01 +0200

octave-optiminterp (0.2.6-1) unstable; urgency=low

  * Initial release (closes: #468516)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sun, 17 Feb 2008 17:04:45 +0100

=== debian/control ===
Source: octave-optiminterp
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.9.1
Homepage: http://octave.sourceforge.net/optiminterp
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-optiminterp.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-optiminterp.git


Package: octave-optiminterp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: optimal interpolation package for Octave
 This package is an optimal interpolation package for Octave, a
 numerical computation software. This package provides functions to do
 n-dimensional optimal interpolations of arbitrarily distributed data
 points.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/optiminterp-([\d.]+)\.tar\.gz\?download

## octave-optiminterp 0.3.4

=== DESCRIPTION ===
Name: optiminterp
Version: 0.3.4
Date: 2013-02-22
Author: Alexander Barth <barth.alexander@gmail.com>, Aida Alvera-Azcrate <aalvera@marine.usf.edu>
Maintainer: Alexander Barth <barth.alexander@gmail.com>
Title: optiminterp
Description: An optimal interpolation toolbox for octave. This package provides functions to perform a n-dimensional optimal interpolations of arbitrarily distributed data points.
Depends: octave (>= 2.9.9)
License: GPLv3+
Url: http://octave.sf.net

=== src/Makefile ===
--- 
+++ 
@@ -6,6 +6,17 @@
 OBJECTS=optiminterp.o optimal_interpolation.o optiminterp_wrapper.o
 
 TARGETS=optiminterp.oct
+
+ifndef LAPACK_LIBS
+LAPACK_LIBS := $(shell $(MKOCTFILE) -p LAPACK_LIBS)
+endif
+ifndef BLAS_LIBS
+BLAS_LIBS := $(shell $(MKOCTFILE) -p BLAS_LIBS)
+endif
+ifndef FLIBS
+FLIBS := $(shell $(MKOCTFILE) -p FLIBS)
+endif
+LFLAGS := $(shell $(MKOCTFILE) -p LFLAGS) $(LAPACK_LIBS) $(BLAS_LIBS) $(FLIBS)
 
 # Rule for compiling Fortran 90 programs
 
@@ -21,7 +32,8 @@
 
 
 optiminterp.oct: $(OBJECTS)
-	$(MKOCTFILE) -o $@ $(OBJECTS) $(LIBS)
+	LFLAGS="$(LFLAGS)" \
+               $(MKOCTFILE) -o $@ $(OBJECTS) $(LIBS) $(LAPACK_LIBS) $(FLIBS)
 
 check:
 	octave --silent --norc --eval test_optiminterp

=== debian/changelog ===
octave-optiminterp (0.3.4-2) unstable; urgency=medium

  * Team upload.

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Sébastien Villemot ]
  * d/p/makefile-notparallel.patch: new patch to avoid random FTBFS.
  * Uploaders: set as Rafael Laboissiere.

  [ Rafael Laboissiere ]
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 21 Jul 2015 11:15:30 +0200

octave-optiminterp (0.3.4-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 0.3.4
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright: Reflect upstream changes
  * debian/copyright: Use the octave-maintainers mailing list as upstream
    contact
  * debian/patches/autoload-yes.patch: New patch

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 May 2013 09:51:15 +0200

octave-optiminterp (0.3.3-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 0.3.3
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.1, to build against Octave 3.6
  * Add Sébastien Villemot to the list of Uploaders
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/copyright: update to machine-readable format 1.0

 -- Thomas Weber <tweber@debian.org>  Sat, 31 Mar 2012 00:31:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0)
-Standards-Version: 3.9.1
+Uploaders: Rafael Laboissiere <rafael@laboissiere.net>
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1)
+Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/optiminterp
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-optiminterp.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-optiminterp.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-optiminterp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-optiminterp.git
 
 
 Package: octave-optiminterp

=== debian/watch ===
version=3
http://sf.net/octave/optiminterp-(.+)\.tar\.gz

## octave-optiminterp 0.3.5

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
## Copyright 2018 John Donoghue <john.donoghue@ieee.org>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## These are the paths that will be created for the releases.
target_dir       := target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
## Using $(realpath ...) avoids problems with symlinks due to bug
## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
## release directory above is needed in the relative form, for 'git
## archive --format=tar --prefix=$(release_dir).
real_target_dir  := $(realpath .)/$(target_dir)
installation_dir := $(real_target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif


## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -c -f - --posix -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
#	cd "$@/src" && ./configure && $(MAKE) prebuild && \
#	  $(MAKE) distclean && $(RM) Makefile
##
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

# html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
html_options = --eval 'options = get_html_options ("octave-forge");' 
#html_options = --eval 'options = get_html_options ("octave-forge");' \
#               --eval 'options.package_doc = "$(package).texi";'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (cd inst && ls *.m) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
octave_test_commands = \
' dirs = {"inst", "src"}; \
  dirs(cellfun (@ (x) ! isdir (x), dirs)) = []; \
  if (isempty (dirs)) error ("no \"inst\" or \"src\" directory"); exit (1); \
    else __run_test_suite__ (dirs, {}); endif '
## the following works, too, but provides no overall summary output as
## __run_test_suite__ does:
##
##    else cellfun (@runtests, horzcat (cellfun (@ (dir) ostrsplit (([~, dirs] = system (sprintf ("find %s -type d", dir))), "\n\r", true), dirs, "UniformOutput", false){:})); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)


##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install
	@echo "## Removing target directory (if empty)..."
	-rmdir $(target_dir)
	@echo
	@echo "## Cleaning done"
	@echo

=== debian/changelog ===
octave-optiminterp (0.3.5-2) unstable; urgency=medium

  * d/s/options: Add src/Makefile to the extend-diff-ignore list
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:10 -0200

octave-optiminterp (0.3.5-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * New upstream version 0.3.5
  * d/copyright: Reflect upstream changes
  * d/p/makefile-notparallel.patch: Refresh for new usptream version
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 24 Apr 2018 10:01:45 -0300

octave-optiminterp (0.3.4-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:37:10 -0200

octave-optiminterp (0.3.4-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.
  * d/control: use cgit instead of gitweb in Vcs-Browser.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/s/options: Add file
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Use secure URIs in the Vcs-* fields
    + Add Testsuite field

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:23 -0200

=== debian/control ===
Source: octave-optiminterp
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/optiminterp/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-optiminterp.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-optiminterp
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-optiminterp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: optimal interpolation package for Octave
 This package is an optimal interpolation package for Octave, a
 numerical computation software. This package provides functions to do
 n-dimensional optimal interpolations of arbitrarily distributed data
 points.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-optiminterp 0.3.6

=== Makefile ===
--- 
+++ 
@@ -214,10 +214,9 @@
 
 ## Test package.
 octave_test_commands = \
-' dirs = {"inst", "src"}; \
-  dirs(cellfun (@ (x) ! isdir (x), dirs)) = []; \
-  if (isempty (dirs)) error ("no \"inst\" or \"src\" directory"); exit (1); \
-    else __run_test_suite__ (dirs, {}); endif '
+' pkgs = pkg("list", "$(package)"); \
+  dirs = {pkgs{1}.dir}; \
+  __run_test_suite__ (dirs, {}); '
 ## the following works, too, but provides no overall summary output as
 ## __run_test_suite__ does:
 ##

=== debian/changelog ===
octave-optiminterp (0.3.6-3) unstable; urgency=medium

  * d/p/compile-with-gfortran-10.patch: New patch (Closes: #957627)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Jul 2020 07:48:30 -0300

octave-optiminterp (0.3.6-2) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/u/metadata: New file
  * d/control: Bump debhelper compatibility level to 13
  * d/u/metadata: Drop Name and Contact fields

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Archive.

 -- Rafael Laboissière <rafael@debian.org>  Tue, 14 Jul 2020 06:53:00 -0300

octave-optiminterp (0.3.6-1) unstable; urgency=medium

  * New upstream version 0.3.6
  * d/copyright: Reflect upstream changes
  * d/p/makefile-notparallel.patch: Drop patch (Applied upstream)
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 08 Feb 2020 18:40:02 -0300

octave-optiminterp (0.3.5-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 07 Nov 2019 18:27:56 -0300

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-octave
-Standards-Version: 4.3.0
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-octave (>= 0.7.1)
+Standards-Version: 4.5.0
 Homepage: https://octave.sourceforge.io/optiminterp/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-optiminterp.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-optiminterp

## octave-optiminterp 0.3.7

=== debian/changelog ===
octave-optiminterp (0.3.7-4) unstable; urgency=medium

  * d/control:
    + Update Homepage URL
    + Drop the versioned dependency on dh-octave. Relationship >= 1.2.3 is
      satisfiable in oldoldstable, which has version 1.2.7.
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop “Rules-Requires-Root: no”, which is now the default
  * d/copyright: Update Source URL
  * d/u/metadata:
    + Update Bug-Database URL
    + Add Repository URL
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Tue, 14 Oct 2025 03:07:53 -0300

octave-optiminterp (0.3.7-3) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 10:45:13 -0300

octave-optiminterp (0.3.7-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * Proper cleaning of files generated by the configure script
    + d/clean: Drop obsolete file
    + d/p/add-distclean-target.patch: New patch
    + d/control: Build-depend on dh-octave >= 1.2.3
  * d/copyright: Update copyright years of debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Tue, 12 Jul 2022 12:24:05 -0300

octave-optiminterp (0.3.7-1) unstable; urgency=medium

  * New upstream version 0.3.7
  * d/p/compile-with-gfortran-10.patch: Drop patch (applied upstream)
  * d/p/honor-cppflags.patch: Drop patch (applied upstream)
  * d/control: Set Multi-Arch: same

 -- Rafael Laboissière <rafael@debian.org>  Fri, 26 Nov 2021 23:19:40 -0300

octave-optiminterp (0.3.6-6) unstable; urgency=medium

  * d/copyright:
    + Accentuate my family name
    + Update copyright year for the debian/* files
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * d/clean: Also remove src/Makefile
  * d/p/honor-cppflags.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 17 Nov 2021 05:19:44 -0300

octave-optiminterp (0.3.6-5) unstable; urgency=medium

  * Upload to unstable (really, closes: #984265)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 16 Aug 2021 12:44:02 -0300

octave-optiminterp (0.3.6-4) experimental; urgency=medium

  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/p/compile-with-gfortran-10.patch: Refresh for gfortran v11
    (Closes: #984265)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 07 Jul 2021 03:17:00 -0300

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1)
-Standards-Version: 4.5.0
-Homepage: https://octave.sourceforge.io/optiminterp/
+               dh-sequence-octave
+Standards-Version: 4.7.2
+Homepage: https://gnu-octave.github.io/packages/optiminterp/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-optiminterp.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-optiminterp
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-optiminterp
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
 Description: optimal interpolation package for Octave
  This package is an optimal interpolation package for Octave, a

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/optiminterp/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/optiminterp-@ANY_VERSION@@ARCHIVE_EXT@
